/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id$
 *
 */

package org.ow2.sirocco.vmm.placementmanager.api;

import org.ow2.sirocco.vmm.api.HostMXBean;
import org.ow2.sirocco.vmm.api.VMMException;
import org.ow2.sirocco.vmm.api.VirtualMachineMXBean;

/**
 * This action represents a VM migration event
 */
public class VmMigrationAction implements ClusterAction {
    private final VirtualMachineMXBean vm;

    private final HostMXBean destinationHost;

    public VmMigrationAction(final VirtualMachineMXBean vm, final HostMXBean destinationHost) {
        this.vm = vm;
        this.destinationHost = destinationHost;
    }

    public VirtualMachineMXBean getVm() {
        return this.vm;
    }

    public HostMXBean getDestinationHost() {
        return this.destinationHost;
    }

    @Override
    public String toString() {
        try {
            return "VmMigrationAction(vm=" + this.vm.getNameLabel() + ",target host=" + this.destinationHost.getHostName()
                + ")";
        } catch (VMMException e) {
            return super.toString();
        }
    }

}
