/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id$
 *
 */

package org.ow2.sirocco.vmm.placementmanager.api;

import java.util.List;

import org.ow2.sirocco.vmm.api.HostMXBean;

/**
 * This rule defines the a group of virtual machines that must not be located on
 * a group of physical hosts
 */
public class VmToHostAntiAffinityRule extends PlacementRule {
    private List<HostMXBean> hosts;

    public List<HostMXBean> getHosts() {
        return this.hosts;
    }

    public void setHosts(final List<HostMXBean> hosts) {
        this.hosts = hosts;
    }

    @Override
    public String toString() {
        return "VmToHostAntiAffinityRule(vms=" + this.virtualMachines + ",hosts=" + this.hosts;
    }
}